\echo Задание a. Отобразить марки груовиков грузоподъёмностью 10 тонн
select Номер_грузовика, Марка from Грузовик where Грузоподъёмность = 10;

\echo Задание b. Выдать сведения о товарах 3 отправителей
select * from Груз inner join Отправитель using(Код_отправителя) where Код_отправителя in (1,2,3);

\echo Задание c. Выдать перечень товаров компании TradeMark
select * from Груз inner join Отправитель using(Код_отправителя) where Отправитель.Наименование = 'TradeMark';

\echo Задание d. Отобразить название компаний, имеющих несколько представительств
select Наименование from Отправитель where Код_отправителя in (
	select Код_отправителя from Пункт inner join Отправитель using (Код_отправителя)
group by Код_отправителя having count (Код_пункта) > 1);

\echo Задание e. Выдать перечень компании, перевозящих не менее 10 грузов
select Наименование from Отправитель where Код_отправителя in (select Код_отправителя from Груз inner join Отправитель using (Код_отправителя) group by Код_отправителя having count (Код_груза) > 10);

\echo Задание f. Отобразить марки грузовиков, на которых перевозилось наибольшее количество опасных грузов (2 цифра в коде груза)
select Марка, count(Код_груза) as Колво_опасных from Груз inner join Грузовик using (Номер_грузовика) where Код_груза in (
	select Код_груза from Груз where cast(Код_груза as text) like '_1__')
group by Марка order by Колво_опасных;
